Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.html
Class AudioPage

    java.lang.Object
      |
      +--weblogic.html.WebPage
            |
            +--weblogic.html.AudioPage

public class AudioPage
extends WebPage

Class for creating htmlKona pages from an audio binary data stored in a database.

Version:
  2.1
Author:
  Copyright (c) 1995-96, WebLogic, Inc.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.html.WebPage
`allow, codeset, contentbuf, contentencoding, contentlength, contents, contenttype, expires, lastmodified, location, pragma, referer, server`

Constructor Summary
`AudioPage(byte[] audioclip)` Constructor used with servlets.
`AudioPage(java.lang.String audiofile)` Constructor used with Servlets.
`AudioPage(java.lang.String audiotype, byte[] audioclip)` Constructs an AudioPage object of the specified type with the specified data.
`AudioPage(java.lang.String audiotype, java.lang.String audiofile)` Constructs an AudioPage object of the specified type with the specified file.

Method Summary
`void` | `output(java.io.OutputStream ostr)` Outputs an AudioPage to the specified output stream.

Methods inherited from class weblogic.html.WebPage
`allow, allow, contentBuf, contentBuf, contentEncoding, contentEncoding, contentLength, contentLength, contents, contents, contentType, contentType, expires, expires, includeHeader, lastModified, lastModified, location, location, output, output, output, pragma, pragma, referer, referer, server, server, setClientPull, setClientPull, setCodeset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AudioPage

    public AudioPage(java.lang.String audiotype,
                     byte[] audioclip)

  Constructs an AudioPage object of the specified type with the specified data.

  Parameters:
    `audiotype` - Type of audio (This value is appended to "audio/".
    `audioclip` - byte[] object

### AudioPage

    public AudioPage(java.lang.String audiotype,
                     java.lang.String audiofile)
              throws java.io.IOException

  Constructs an AudioPage object of the specified type with the specified file.

  Parameters:
    `audiotype` - Type of audio (This value is appended to "audio/".
    `audioclip` - byte[] object

### AudioPage

    public AudioPage(byte[] audioclip)

  Constructor used with servlets. Content type is sent from servlet.

  Parameters:
    `audioclip` - Byte array (byte[]) object

### AudioPage

    public AudioPage(java.lang.String audiofile)
              throws java.io.IOException

  Constructor used with Servlets. Content type is sent from servlet.

  Parameters:
    `audioclip` - String audio filename

Method Detail

### output

    public void output(java.io.OutputStream ostr)
                throws java.io.IOException

  Outputs an AudioPage to the specified output stream.

  Parameters:
    `out` - OutputStream
  Throws:
    java.io.IOException - if there is an IO error
  Overrides:
    output in class WebPage

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD